l1 = 41.0;
l2 = 41.8;
l3 = 32.8;
l4 = 33.3;
h1 = 9.34;
delta1 = (l1-l3)/2.0;
delta2 = (l2-l4)/2.0;


module base() {
 polyhedron (
	points = [
		[0,0,0], [l1,0,0], [l1,l2,0], [0,l2,0],
		[delta1,delta2,h1], [delta1+l3,delta2,h1], [delta1+l3,delta2+l4,h1], [delta1,delta2+l4,h1]
	],
	triangles = [
		[0,1,4], [1,5,4], [4,5,6], [5,1,6], [1,2,6], [2,3,6], [7,6,3], [4,6,7], [4,7,3], [4,3,0], [0,2,1], [0,3,2]
	]
);
}

l5 = 51.5;
l6 = 61.5;
h2 = 9.0;


difference() {
	union() {
	
		difference() {
			base();
			translate([4,4,0]) scale(0.8) base();
		}
		translate([(l1-l5)/2.0, -5.0 ,h1-0.1]) cube([l5,l6,h2]);
	}
	translate([l1/2,l1/2]) cylinder(h=30, r=3.1 );
}